Bug 703056 - [RHEL5.5] Panic in iscsi_sw_tcp_data_ready() [rhel-5.6.z]
Summary: [RHEL5.5] Panic in iscsi_sw_tcp_data_ready() [rhel-5.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Phillip Lougher
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 677703
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-09 07:02 UTC by RHEL Product and Program Management
Modified: 2018-11-14 16:55 UTC (History)
11 users (show)

Fixed In Version: kernel-2.6.18-238.15.1.el5
Doc Type: Bug Fix
Doc Text:
Running a reboot test on an iSCSI root host resulted in kernel panic. When the iscsi_tcp module is destroying a connection it grabs the sk_callback_lock and clears the sk_user_data/conn pointer to signal that the callback functions should not execute the operation. However, some functions were not grabbing the lock, causing a NULL pointer kernel panic when iscsi_sw_tcp_conn_restore_callbacks was called and, consequently, one of the callbacks was called. With this update, the underlying source code has been modified to address this issue, and kernel panic no longer occurs.
Clone Of:
Environment:
Last Closed: 2011-07-15 06:09:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0927 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-07-15 06:07:56 UTC

Description RHEL Product and Program Management 2011-05-09 07:02:51 UTC
This bug has been copied from bug #677703 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 6 Phillip Lougher 2011-06-17 09:13:34 UTC
in kernel-2.6.18-238.15.1.el5

linux-2.6-scsi-iscsi_tcp-fix-iscsi-s-sk_user_data-access.patch

Comment 9 Martin Prpič 2011-07-12 11:54:23 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Running a reboot test on an iSCSI root host resulted in kernel panic. When the iscsi_tcp module is destroying a connection it grabs the sk_callback_lock and clears the sk_user_data/conn pointer to signal that the callback functions should not execute the operation. However, some functions were not grabbing the lock, causing a NULL pointer kernel panic when iscsi_sw_tcp_conn_restore_callbacks was called and, consequently, one of the callbacks was called. With this update, the underlying source code has been modified to address this issue, and kernel panic no longer occurs.

Comment 10 errata-xmlrpc 2011-07-15 06:09:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0927.html


Note You need to log in before you can comment on or make changes to this bug.